Bug 630401 - systemd-logger failed to connect log socket when used with syslog-ng
Summary: systemd-logger failed to connect log socket when used with syslog-ng
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 14
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Lennart Poettering
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-09-05 11:32 UTC by Daniel Mach
Modified: 2010-09-15 07:13 UTC (History)
6 users (show)

Fixed In Version: initscripts-9.20-1.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-09-14 23:27:04 UTC
Type: ---


Attachments (Terms of Use)
dmesg output (54.20 KB, text/plain)
2010-09-06 08:11 UTC, Daniel Mach
no flags Details
debug dmesg output (117.03 KB, text/plain)
2010-09-06 11:19 UTC, Daniel Mach
no flags Details

Description Daniel Mach 2010-09-05 11:32:35 UTC
systemd-logger[947]: Failed to connect log socket to /dev/log: No such file or directory
init[1]: systemd-logger.service: main process exited, code=exited, status=3
init[1]: Unit systemd-logger.service entered maintenance state.


I wonder if it's a systemd issue or a system misconfiguration.
I'm running latest F14 packages.


$ rpm -qa | grep systemd
systemd-sysvinit-8-3.fc14.i686
systemd-units-8-3.fc14.i686
systemd-8-3.fc14.i686

Comment 1 Lennart Poettering 2010-09-05 13:32:32 UTC
Could you get me a longer dmesg excerpt around this?

Comment 2 Daniel Mach 2010-09-06 08:11:48 UTC
Created attachment 443251 [details]
dmesg output

Comment 3 Lennart Poettering 2010-09-06 09:26:42 UTC
Hmm, could you redo this and boot with systemd.log_level=debug systemd.log_target=kmsg? 

Which syslog implementation are you using? Default rsyslog?

Comment 4 Daniel Mach 2010-09-06 11:11:17 UTC
It's syslog-ng-3.1.1-1.fc14.i686.
Let me check what happens when I reboot with those arguments...

Comment 5 Daniel Mach 2010-09-06 11:19:42 UTC
Created attachment 443278 [details]
debug dmesg output

Comment 6 Lennart Poettering 2010-09-06 12:46:44 UTC
Ah, syslog-ng, hmm. Note that systemd currently cannot really log to syslog-ng anyway, since syslog-ng finds it funny to use a SOCK_STREAM instead of a SOCK_DGRAM socket, which I think is kinda borked. 

That said, could you please paste the LSB header of the syslog-ng init script? Most likely it isn't including "Provides: $syslog" in the LSB header which has the effect that systemd doesn't synchronize on it properly.

Comment 7 Daniel Mach 2010-09-06 18:31:12 UTC
Actually, $syslog is provided:
(you can fetch whole init script from Fedora dist git if needed)

### BEGIN INIT INFO
# Provides: $syslog
# Required-Start: $local_fs
# Required-Stop: $local_fs
# Short-Description: Next-generation syslog server
# Description: syslog-ng, as the name shows, is a syslogd replacement, but
#     with new functionality for the new generation. The original syslogd
#     allows messages only to be sorted based on priority/facility pairs;
#     syslog-ng adds the possibility to filter based on message contents
#     using regular expressions. The new configuration scheme is intuitive
#     and powerful.  Forwarding logs over TCP and remembering all forwarding
#     hops makes it ideal for firewalled environments.  
### END INIT INFO

Comment 8 Matthias Clasen 2010-09-08 16:52:05 UTC
I believe this has been addressed upstream: 

http://cgit.freedesktop.org/systemd/commit/?id=c31e14954b158351b11f886332229a61fff2e5d1

Comment 9 Lennart Poettering 2010-09-10 23:41:57 UTC
This is now fixed upstream in git. Upload follows shortly.

Comment 10 Fedora Update System 2010-09-14 01:04:15 UTC
systemd-10-1.fc14,initscripts-9.20-1.fc14,sysvinit-2.87-5.dsf.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/systemd-10-1.fc14,initscripts-9.20-1.fc14,sysvinit-2.87-5.dsf.fc14

Comment 11 Fedora Update System 2010-09-14 04:28:02 UTC
systemd-10-1.fc14, initscripts-9.20-1.fc14, sysvinit-2.87-5.dsf.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update systemd initscripts sysvinit'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/systemd-10-1.fc14,initscripts-9.20-1.fc14,sysvinit-2.87-5.dsf.fc14

Comment 12 Daniel Mach 2010-09-14 10:50:19 UTC
I've updated to latest packages from testing and systemd works as expected.
Thanks for the fix.

Comment 13 Fedora Update System 2010-09-15 07:11:38 UTC
initscripts-9.20-1.fc14, sysvinit-2.87-5.dsf.fc14, systemd-10-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.